VM_PAGE_BUSY(9)

NAME
vm_page_busy, vm_page_flash, vm_page_wakeup - handle the busying and unbusying of a page

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_busy(vm_page_t m);
void
vm_page_flash(vm_page_t m);
void
vm_page_wakeup(vm_page_t m);

DESCRIPTION
These functions handle the busying, unbusying and notification of the unbusying of a page.

vm_page_busy() sets the VPO_BUSY flag in the page.

vm_page_flash() checks to see if there is anybody waiting on the page (VPO_WANTED will be set), and if so, clears the VPO_WANTED flag and notifies whoever is waiting via wakeup().

vm_page_wakeup() clears the VPO_BUSY flag on the page, and calls vm_page_flash() in case somebody has been waiting for it.

SEE ALSO
vm_page_sleep_if_busy(9), wakeup(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.